MP4(3)

NAME

MP4ConvertFromMovieDuration - Convert a duration from the movie (file) time scale to a specified time scale.

SYNTAX

#include <mp4.h>

u_int64_t MP4ConvertFromMovieDuration(
    MP4FileHandle hFile,
    MP4Duration duration,
    u_int32_t newTimeScale
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

duration
    Specifies the duration that is to be converted.

newTimeScale
    Specifies the new time scale in ticks per second to which the duration should be converted.

RETURN VALUES

Upon success, the duration in the new time scale units. Upon error, 0.

DESCRIPTION

MP4ConvertFromMovieDuration converts a duration such as the total movie (file) duration from the movie time scale to another specified time scale.

SEE ALSO

MP4(3) MP4GetDuration(3)